package org.jeecg.common.dto.expense;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import org.jeecg.modules.expense.entity.ReExpenseSlipUpdateFile;

@Data
@ApiModel("费用报销单附件响应")
public class SlipUpdateFileRespDTO {
    @ApiModelProperty("id")
    @TableId(type = IdType.UUID)
    private String id;
    @ApiModelProperty("费用报销单id")
    private String expenseId;
    @ApiModelProperty("费用报销单--项目金额id")
    private String expenseProjectId;
    @ApiModelProperty("文件名")
    private String fileName;
    @ApiModelProperty("文件路径")
    private String fileUrl;

    public SlipUpdateFileRespDTO() {
    }

    public SlipUpdateFileRespDTO(ReExpenseSlipUpdateFile updateFile) {
        this.id = updateFile.getId();
        this.expenseId = updateFile.getExpenseId();
        this.expenseProjectId = updateFile.getExpenseProjectId();
        this.fileName = updateFile.getFileName();
        this.fileUrl = updateFile.getFileUrl();
    }
}
