package org.jeecg.common.dto.payment;

import com.baomidou.mybatisplus.annotation.TableField;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import javax.validation.constraints.NotEmpty;
import java.math.BigDecimal;

@Data
@ApiModel("财务确认列表响应数据")
public class FinanceListRespDTO {
    @ApiModelProperty("id")
    private String id;
    @ApiModelProperty("单据编号")
    private String billcode;
    @ApiModelProperty("1.收款单 2.付款单")
    @NotEmpty(message = "参数type不能为空")
    private String type;
    @ApiModelProperty("项目id")
    private String proId;
    @ApiModelProperty("项目名称")
    private String proName;
    @ApiModelProperty("项目编码")
    private String proCode;
    @ApiModelProperty("客户档案id")
    private String cusId;
    @ApiModelProperty("客户档案编码")
    private String cusCode;
    @ApiModelProperty("客户档案名称")
    private String cusName;
    @ApiModelProperty("总额")
    private BigDecimal totalPrice;
    @ApiModelProperty("子表id")
    private String contentId;
    @ApiModelProperty("收款单id")
    private String slipId;
    @ApiModelProperty("项目档案--里程碑id")
    private String proArchivesId;
    @ApiModelProperty("项目档案--里程碑")
    private String proArchivesMilestone;
    @ApiModelProperty("项目档案-里程碑信息子表id")
    private String coArchivesId;
    @ApiModelProperty("收付款条线档案名称")
    private String coArchivesName;
    @ApiModelProperty("收款金额")
    private BigDecimal coPrvice;
    @ApiModelProperty("说明")
    @TableField("`explain`")
    private String explain;
    @ApiModelProperty("采购发票id")
    private String invoiceId;
    @ApiModelProperty("对应发票(采购发票)")
    private String invoice;
    @ApiModelProperty("状态: 0.未确认 1.确认 ")
    private String status;

    public FinanceListRespDTO() {
    }
}
