package org.jeecg.modules.basedata.entity;

import java.io.Serializable;
import java.util.Date;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Data;
import com.fasterxml.jackson.annotation.JsonFormat;
import org.springframework.format.annotation.DateTimeFormat;
import org.jeecgframework.poi.excel.annotation.Excel;

/**
 * @Description: 客商行业
 * @author： jeecg-boot
 * @date：   2021-11-11
 * @version： V1.0
 */
@Data
@TableName("base_customer_industry")
public class BaseCustomerIndustry implements Serializable {
    private static final long serialVersionUID = 1L;
    
	/**项目编码*/
	@Excel(name = "项目编码", width = 15)
	private String code;
	/**创建人*/
	@Excel(name = "创建人", width = 15)
	private String createBy;
	/**创建时间*/
	@Excel(name = "创建时间", width = 20, format = "yyyy-MM-dd HH:mm:ss")
	@JsonFormat(timezone = "GMT+8",pattern = "yyyy-MM-dd HH:mm:ss")
    @DateTimeFormat(pattern="yyyy-MM-dd HH:mm:ss")
	private Date createTime;
	/**删除状态（0，正常，1已删除）*/
	@Excel(name = "删除状态（0，正常，1已删除）", width = 15)
	private String delFlag;
	/**主键*/
	@TableId(type = IdType.UUID)
	private String id;
	/**项目名称*/
	@Excel(name = "项目名称", width = 15)
	private String name;
	/**父节点id*/
	@Excel(name = "父节点id", width = 15)
	private String parentId;
	/**组织*/
	@Excel(name = "组织", width = 15)
	private String pkOrg;
	/**状态（0：未启用， 1：启用）*/
	@Excel(name = "状态（0：未启用， 1：启用）", width = 15)
	private Integer status;
	/**修改人*/
	@Excel(name = "修改人", width = 15)
	private String updateBy;
	/**修改时间*/
	@Excel(name = "修改时间", width = 20, format = "yyyy-MM-dd HH:mm:ss")
	@JsonFormat(timezone = "GMT+8",pattern = "yyyy-MM-dd HH:mm:ss")
    @DateTimeFormat(pattern="yyyy-MM-dd HH:mm:ss")
	private Date updateTime;

	//排序
	private Integer sort;
}
