package org.jeecg.modules.basedata.entity;

import java.io.Serializable;
import java.util.Date;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Data;
import com.fasterxml.jackson.annotation.JsonFormat;
import org.springframework.format.annotation.DateTimeFormat;
import org.jeecgframework.poi.excel.annotation.Excel;

/**
 * @Description: 物料档案模块
 * @author： jeecg-boot
 * @date：   2021-11-16
 * @version： V1.0
 */
@Data
@TableName("base_material_file_modular")
public class BaseMaterialFileModular implements Serializable {
    private static final long serialVersionUID = 1L;
    
	/**主键*/
	@TableId(type = IdType.UUID)
	private String id;
	/**模块编码*/
	@Excel(name = "模块编码", width = 15)
	private String code;
	/**模块名称*/
	@Excel(name = "模块名称", width = 15)
	private String name;
	/**标准报价*/
	@Excel(name = "标准报价", width = 15)
	private java.math.BigDecimal standardQuotation;
	/**删除状态（0，正常，1已删除）*/
	@Excel(name = "删除状态（0，正常，1已删除）", width = 15)
	private String delFlag;
	/**创建时间*/
	@Excel(name = "创建时间", width = 20, format = "yyyy-MM-dd HH:mm:ss")
	@JsonFormat(timezone = "GMT+8",pattern = "yyyy-MM-dd HH:mm:ss")
    @DateTimeFormat(pattern="yyyy-MM-dd HH:mm:ss")
	private Date createTime;
	/**创建人*/
	@Excel(name = "创建人", width = 15)
	private String createBy;
	/**修改时间*/
	@Excel(name = "修改时间", width = 20, format = "yyyy-MM-dd HH:mm:ss")
	@JsonFormat(timezone = "GMT+8",pattern = "yyyy-MM-dd HH:mm:ss")
    @DateTimeFormat(pattern="yyyy-MM-dd HH:mm:ss")
	private Date updateTime;
	/**修改人*/
	@Excel(name = "修改人", width = 15)
	private String updateBy;
	/**组织*/
	@Excel(name = "组织", width = 15)
	private String pkOrg;
	/**排序*/
	@Excel(name = "排序", width = 15)
	private Integer sort;
	/**产品id*/
	@Excel(name = "产品id", width = 15)
	private String baseMaterialFileProductId;
}
