package org.jeecg.modules.basedata.entity;

import java.io.Serializable;
import java.util.Date;
import java.util.List;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Data;
import com.fasterxml.jackson.annotation.JsonFormat;
import org.springframework.format.annotation.DateTimeFormat;
import org.jeecgframework.poi.excel.annotation.Excel;

/**
 * @Description: 物料档案产品
 * @author： jeecg-boot
 * @date：   2021-11-16
 * @version： V1.0
 */
@Data
@TableName("base_material_file_product")
public class BaseMaterialFileProduct implements Serializable {
    private static final long serialVersionUID = 1L;
    
	/**主键*/
	@TableId(type = IdType.UUID)
	private String id;
	/**产品编码*/
	@Excel(name = "产品编码", width = 15)
	private String code;
	/**产品名称*/
	@Excel(name = "产品名称", width = 15)
	private String name;
	/**备注*/
	@Excel(name = "备注", width = 15)
	private Object memo;
	/**删除状态（0，正常，1已删除）*/
	@Excel(name = "删除状态（0，正常，1已删除）", width = 15)
	private String delFlag;
	/**创建时间*/
	@Excel(name = "创建时间", width = 20, format = "yyyy-MM-dd HH:mm:ss")
	@JsonFormat(timezone = "GMT+8",pattern = "yyyy-MM-dd HH:mm:ss")
    @DateTimeFormat(pattern="yyyy-MM-dd HH:mm:ss")
	private Date createTime;
	/**创建人*/
	@Excel(name = "创建人", width = 15)
	private String createBy;
	/**修改时间*/
	@Excel(name = "修改时间", width = 20, format = "yyyy-MM-dd HH:mm:ss")
	@JsonFormat(timezone = "GMT+8",pattern = "yyyy-MM-dd HH:mm:ss")
    @DateTimeFormat(pattern="yyyy-MM-dd HH:mm:ss")
	private Date updateTime;
	/**修改人*/
	@Excel(name = "修改人", width = 15)
	private String updateBy;
	/**组织*/
	@Excel(name = "组织", width = 15)
	private String pkOrg;
	/**排序*/
	@Excel(name = "排序", width = 15)
	private Integer sort;
	/**状态（0：未启用， 1：启用）*/
	@Excel(name = "状态（0：未启用， 1：启用）", width = 15)
	private Integer status;
	/**分类id*/
	@Excel(name = "分类id", width = 15)
	private String baseMaterialFileClassificationId;

	/**产品属性（1采购2销售）*/
	private String attribute;

	/**模块子表数据*/
	@TableField(exist = false)
	private List<BaseMaterialFileModular> baseMaterialFileModularList;
}
