package org.jeecg.modules.basedata.model;

import org.jeecg.modules.basedata.entity.BaseMaterialFileClassification;

import java.util.ArrayList;
import java.util.List;

/**
 * 功能描述：物料分类tree
 *
 * @Author: chenchuang
 * @Date: 2021/11/16 14:06
 */
public class BaseMaterialFileClassificationTree {
    private static final long serialVersionUID = 1L;
    /** 对应BaseSalesStatus中的id字段,前端数据树中的key*/
    private String key;

    /** 对应BaseSalesStatus中的id字段,前端数据树中的value*/
    private String value;

    /** 对应BaseSalesStatus.name字段,前端数据树中的title*/
    private String title;
    /** 是否叶子节点*/
    private boolean isLeaf;
    /**主键*/
    private String id;
    /**编码*/
    private String code;
    /**名称*/
    private String name;
    /**父级id*/
    private String parentId;
    /**子数据 */
    private List<BaseMaterialFileClassificationTree> children = new ArrayList<>();

    private BaseMaterialFileClassificationTree(){}

    public BaseMaterialFileClassificationTree(BaseMaterialFileClassification baseMaterialFileClassification){
        this.id=baseMaterialFileClassification.getId();
        this.key=baseMaterialFileClassification.getId();
        this.value=baseMaterialFileClassification.getId();
        this.title=baseMaterialFileClassification.getName();
        this.code=baseMaterialFileClassification.getCode();
        this.name=baseMaterialFileClassification.getName();
        this.parentId=baseMaterialFileClassification.getParentId();
    }

    public String getKey() {
        return key;
    }

    public void setKey(String key) {
        this.key = key;
    }

    public String getValue() {
        return value;
    }

    public void setValue(String value) {
        this.value = value;
    }

    public String getTitle() {
        return title;
    }

    public void setTitle(String title) {
        this.title = title;
    }

    public boolean getIsLeaf() {
        return isLeaf;
    }

    public void setIsLeaf(boolean leaf) {
        isLeaf = leaf;
    }

    public String getId() {
        return id;
    }

    public void setId(String id) {
        this.id = id;
    }

    public String getCode() {
        return code;
    }

    public void setCode(String code) {
        this.code = code;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public String getParentId() {
        return parentId;
    }

    public void setParentId(String parentId) {
        this.parentId = parentId;
    }

    public List<BaseMaterialFileClassificationTree> getChildren() {
        return children;
    }

    public void setChildren(List<BaseMaterialFileClassificationTree> children) {
        this.children = children;
    }
}
