package org.jeecg.modules.basedata.model;

import org.jeecg.modules.basedata.entity.BaseSalesStatus;

import java.util.ArrayList;
import java.util.Date;
import java.util.List;

/**
 * 功能描述：销售状态Tree
 *
 * @Author: chenchuang
 * @Date: 2021/11/12 13:28
 */
public class BaseSalesStatusTree {
    private static final long serialVersionUID = 1L;
    /** 对应BaseSalesStatus中的id字段,前端数据树中的key*/
    private String key;

    /** 对应BaseSalesStatus中的id字段,前端数据树中的value*/
    private String value;

    /** 对应BaseSalesStatus.name字段,前端数据树中的title*/
    private String title;
    /** 是否叶子节点*/
    private boolean isLeaf;
    /**编码*/
    private String code;
    /**创建人*/
    private String createBy;
    /**创建时间*/
    private Date createTime;
    /**删除状态（0，正常，1已删除）*/
    private String delFlag;
    /**主键*/
    private String id;
    /**名称*/
    private String name;
    /**父节点id*/
    private String parentId;
    /**组织*/
    private String pkOrg;
    /**排序*/
    private Integer sort;
    /**状态（0：未启用， 1：启用）*/
    private Integer status;
    /**修改人*/
    private String updateBy;
    /**修改时间*/
    private Date updateTime;
    /**子数据 */
    private List<BaseSalesStatusTree> children = new ArrayList<>();

    private BaseSalesStatusTree(){}

    public BaseSalesStatusTree(BaseSalesStatus baseSalesStatus){
        this.key=baseSalesStatus.getId();
        this.value=baseSalesStatus.getId();
        this.title=baseSalesStatus.getName();
        this.code=baseSalesStatus.getCode();
       this.name=baseSalesStatus.getName();
        this.parentId=baseSalesStatus.getParentId();
        this.sort=baseSalesStatus.getSort();
        this.status=baseSalesStatus.getStatus();
    }

    public String getKey() {
        return key;
    }

    public void setKey(String key) {
        this.key = key;
    }

    public String getValue() {
        return value;
    }

    public void setValue(String value) {
        this.value = value;
    }

    public String getTitle() {
        return title;
    }

    public void setTitle(String title) {
        this.title = title;
    }

    public boolean getIsLeaf() {
        return isLeaf;
    }

    public void setIsLeaf(boolean leaf) {
        isLeaf = leaf;
    }

    public String getCode() {
        return code;
    }

    public void setCode(String code) {
        this.code = code;
    }

    public String getCreateBy() {
        return createBy;
    }

    public void setCreateBy(String createBy) {
        this.createBy = createBy;
    }

    public Date getCreateTime() {
        return createTime;
    }

    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }

    public String getDelFlag() {
        return delFlag;
    }

    public void setDelFlag(String delFlag) {
        this.delFlag = delFlag;
    }

    public String getId() {
        return id;
    }

    public void setId(String id) {
        this.id = id;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public String getParentId() {
        return parentId;
    }

    public void setParentId(String parentId) {
        this.parentId = parentId;
    }

    public String getPkOrg() {
        return pkOrg;
    }

    public void setPkOrg(String pkOrg) {
        this.pkOrg = pkOrg;
    }

    public Integer getSort() {
        return sort;
    }

    public void setSort(Integer sort) {
        this.sort = sort;
    }

    public Integer getStatus() {
        return status;
    }

    public void setStatus(Integer status) {
        this.status = status;
    }

    public String getUpdateBy() {
        return updateBy;
    }

    public void setUpdateBy(String updateBy) {
        this.updateBy = updateBy;
    }

    public Date getUpdateTime() {
        return updateTime;
    }

    public void setUpdateTime(Date updateTime) {
        this.updateTime = updateTime;
    }

    public List<BaseSalesStatusTree> getChildren() {
        return children;
    }

    public void setChildren(List<BaseSalesStatusTree> children) {
        this.children = children;
    }
}
