package org.jeecg.modules.basedata.service.impl;

import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import org.jeecg.modules.basedata.entity.BaseMaterialFileModular;
import org.jeecg.modules.basedata.entity.BaseMaterialFileProduct;
import org.jeecg.modules.basedata.mapper.BaseMaterialFileProductMapper;
import org.jeecg.modules.basedata.service.IBaseMaterialFileModularService;
import org.jeecg.modules.basedata.service.IBaseMaterialFileProductService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import org.springframework.transaction.annotation.Transactional;

import javax.annotation.Resource;

/**
 * @Description: 物料档案产品
 * @author： jeecg-boot
 * @date：   2021-11-16
 * @version： V1.0
 */
@Transactional
@Service
public class BaseMaterialFileProductServiceImpl extends ServiceImpl<BaseMaterialFileProductMapper, BaseMaterialFileProduct> implements IBaseMaterialFileProductService {

    @Resource
    private BaseMaterialFileProductMapper baseMaterialFileProductMapper;

    @Resource
    private IBaseMaterialFileModularService iBaseMaterialFileModularService;

    @Override
    public void saveMainAndChild(BaseMaterialFileProduct baseMaterialFileProduct) {
        //新增主表
        baseMaterialFileProductMapper.insert(baseMaterialFileProduct);
        //新增子表
        saveChild(baseMaterialFileProduct);
    }

    @Override
    public void updateMainAndChild(BaseMaterialFileProduct baseMaterialFileProduct) {
        //修改主表
        baseMaterialFileProductMapper.updateById(baseMaterialFileProduct);
        //删除子表
        deleteChild(baseMaterialFileProduct);
        //新增子表
        saveChild(baseMaterialFileProduct);
    }

    @Override
    public void deleteMainAndChild(BaseMaterialFileProduct baseMaterialFileProduct) {
        //删除主表
        baseMaterialFileProduct.setDelFlag("1");
        baseMaterialFileProductMapper.updateById(baseMaterialFileProduct);
        //删除子表
        deleteChild(baseMaterialFileProduct);
    }

    /**新增子表*/
    public void saveChild(BaseMaterialFileProduct baseMaterialFileProduct){
        //如果子表数据不为空
        if(baseMaterialFileProduct.getBaseMaterialFileModularList()!=null&&baseMaterialFileProduct.getBaseMaterialFileModularList().size()>0){
            Integer sort=1;
            //处理新增需要的属性
            for(BaseMaterialFileModular modular:baseMaterialFileProduct.getBaseMaterialFileModularList()){
                modular.setId(null);
                modular.setBaseMaterialFileProductId(baseMaterialFileProduct.getId());//产品id
                modular.setSort(sort);//排序
                sort++;
            }
            //批量新增
            iBaseMaterialFileModularService.saveBatch(baseMaterialFileProduct.getBaseMaterialFileModularList());
        }
    }

    /**删除子表数据*/
    public void deleteChild(BaseMaterialFileProduct baseMaterialFileProduct){
        //修改条件
        QueryWrapper<BaseMaterialFileModular> queryWrapper=new QueryWrapper<>();
        queryWrapper.lambda().eq(BaseMaterialFileModular::getDelFlag,"0");
        queryWrapper.lambda().eq(BaseMaterialFileModular::getBaseMaterialFileProductId,baseMaterialFileProduct.getId());
        //修改数据
        BaseMaterialFileModular baseMaterialFileModular=new BaseMaterialFileModular();
        baseMaterialFileModular.setDelFlag("1");
        iBaseMaterialFileModularService.update(baseMaterialFileModular,queryWrapper);
    }
}
