package org.jeecg.modules.contract.file.entity;

import java.io.Serializable;
import java.util.Date;
import java.util.List;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Data;
import com.fasterxml.jackson.annotation.JsonFormat;
import org.springframework.format.annotation.DateTimeFormat;
import org.jeecgframework.poi.excel.annotation.Excel;

/**
 * @Description: 合同档案
 * @author： jeecg-boot
 * @date：   2021-11-17
 * @version： V1.0
 */
@Data
@TableName("contract_file")
public class ContractFile implements Serializable {
    private static final long serialVersionUID = 1L;

	/**主键*/
	@TableId(type = IdType.UUID)
	private java.lang.String id;
	/**合同日期*/
	@Excel(name = "合同日期", width = 15, format = "yyyy-MM-dd")
	@JsonFormat(timezone = "GMT+8",pattern = "yyyy-MM-dd")
	@DateTimeFormat(pattern="yyyy-MM-dd")
	private java.util.Date contractDate;
	/**合同编码*/
	@Excel(name = "合同编码", width = 15)
	private java.lang.String code;
	/**合同概述*/
	@Excel(name = "合同概述", width = 15)
	private java.lang.String overview;
	/**业务类型（数据字典）*/
	@Excel(name = "业务类型（数据字典）", width = 15)
	private java.lang.String businessTypeDictId;
	/**客户id(客户档案id)*/
	@Excel(name = "客户id(客户档案id)", width = 15)
	private java.lang.String fdCustomerId;
	/**客户人员id（客户档案联系人id）*/
	@Excel(name = "客户人员id（客户档案联系人id）", width = 15)
	private java.lang.String fdCustomerPersonnelId;
	/**销售部门id*/
	@Excel(name = "销售部门id", width = 15)
	private java.lang.String salesDepartmentId;
	/**销售部门名称*/
	@Excel(name = "销售部门名称", width = 15)
	private java.lang.String salesDepartmentName;
	/**免费售后起始*/
	@Excel(name = "免费售后起始", width = 15, format = "yyyy-MM-dd")
	@JsonFormat(timezone = "GMT+8",pattern = "yyyy-MM-dd")
	@DateTimeFormat(pattern="yyyy-MM-dd")
	private java.util.Date freeAfterSalesStart;
	/**免费售后截至*/
	@Excel(name = "免费售后截至", width = 15, format = "yyyy-MM-dd")
	@JsonFormat(timezone = "GMT+8",pattern = "yyyy-MM-dd")
	@DateTimeFormat(pattern="yyyy-MM-dd")
	private java.util.Date freeAfterSalesEnd;
	/**标准报价*/
	@Excel(name = "标准报价", width = 15)
	private java.math.BigDecimal standardQuotation;
	/**成交金额*/
	@Excel(name = "成交金额", width = 15)
	private java.math.BigDecimal transactionAmount;
	/**折扣率*/
	@Excel(name = "折扣率", width = 15)
	private java.math.BigDecimal discountRate;
	/**赠品金额*/
	@Excel(name = "赠品金额", width = 15)
	private java.math.BigDecimal giftAmount;
	/**成本*/
	@Excel(name = "成本", width = 15)
	private java.math.BigDecimal cost;
	/**合同费用*/
	@Excel(name = "合同费用", width = 15)
	private java.math.BigDecimal contractCost;
	/**合同利润*/
	@Excel(name = "合同利润", width = 15)
	private java.math.BigDecimal contractProfit;
	/**备注*/
	@Excel(name = "备注", width = 15)
	private java.lang.Object memo;
	/**应收账款*/
	@Excel(name = "应收账款", width = 15)
	private java.math.BigDecimal accountsReceivable;
	/**业绩计算率*/
	@Excel(name = "业绩计算率", width = 15)
	private java.math.BigDecimal performanceCalculationRate;
	/**删除状态（0，正常，1已删除）*/
	@Excel(name = "删除状态（0，正常，1已删除）", width = 15)
	private java.lang.String delFlag;
	/**创建时间*/
	@Excel(name = "创建时间", width = 20, format = "yyyy-MM-dd HH:mm:ss")
	@JsonFormat(timezone = "GMT+8",pattern = "yyyy-MM-dd HH:mm:ss")
	@DateTimeFormat(pattern="yyyy-MM-dd HH:mm:ss")
	private java.util.Date createTime;
	/**创建人*/
	@Excel(name = "创建人", width = 15)
	private java.lang.String createBy;
	/**修改时间*/
	@Excel(name = "修改时间", width = 20, format = "yyyy-MM-dd HH:mm:ss")
	@JsonFormat(timezone = "GMT+8",pattern = "yyyy-MM-dd HH:mm:ss")
	@DateTimeFormat(pattern="yyyy-MM-dd HH:mm:ss")
	private java.util.Date updateTime;
	/**修改人*/
	@Excel(name = "修改人", width = 15)
	private java.lang.String updateBy;
	/**组织*/
	@Excel(name = "组织", width = 15)
	private java.lang.String pkOrg;
	/**里程碑类型id(数据字典)*/
	@Excel(name = "里程碑类型id(数据字典)", width = 15)
	private java.lang.String milestoneId;

	/**项目立项id*/
	private String proId;
	/**销售人员id*/
	private String salesmanId;
	/**销售人员名称*/
	private String salesmanName;
	/**汇款金额*/
	private java.math.BigDecimal received;

	/**客户编码*/
	@TableField(exist = false)
	private String fdCustomerCode;
	/**客户名称*/
	@TableField(exist = false)
	private String fdCustomerName;
	/**客户人员名称*/
	@TableField(exist = false)
	private String fdCustomerPersonnelName;
	/**客户人员电话*/
	@TableField(exist = false)
	private String fdCustomerPersonnelTel;
	/**客户地址*/
	@TableField(exist = false)
	private String fdCustomeraddress;

	/**项目立项编码*/
	@TableField(exist = false)
	private String proCode;
	/**项目立项名称*/
	@TableField(exist = false)
	private String proName;
	/**里程碑类型名称*/
	@TableField(exist = false)
	private String milestoneName;
	/**业务类型名称*/
	@TableField(exist = false)
	private String businessTypeDictName;

	/**合同产品子表*/
	@TableField(exist = false)
	List<ContractFileProduct> contractFileProductList;

	/**合同收款计划子表*/
	@TableField(exist = false)
	List<ContractFileAndBusiness> contractFileAndBusinessList;
}
