package org.jeecg.modules.contract.file.entity;

import java.io.Serializable;
import java.util.Date;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Data;
import com.fasterxml.jackson.annotation.JsonFormat;
import org.springframework.format.annotation.DateTimeFormat;
import org.jeecgframework.poi.excel.annotation.Excel;

/**
 * @Description: 合同收款计划
 * @author： jeecg-boot
 * @date：   2021-11-17
 * @version： V1.0
 */
@Data
@TableName("contract_file_and_business")
public class ContractFileAndBusiness implements Serializable {
    private static final long serialVersionUID = 1L;

	/**id*/
	@TableId(type = IdType.UUID)
	private java.lang.String id;
	/**合同主表id*/
	@Excel(name = "合同主表id", width = 15)
	private java.lang.String contractFileId;
	/**计划类型 1.收款计划 2.回款情况 3.付款计划 4.付款情况*/
	@Excel(name = "计划类型 1.收款计划 2.回款情况 3.付款计划 4.付款情况", width = 15)
	private java.lang.Integer planType;
	/**计划名称id*/
	@Excel(name = "计划名称id", width = 15)
	private java.lang.String planId;
	/**计划名称*/
	@Excel(name = "计划名称", width = 15)
	private java.lang.String planName;
	/**第一笔*/
	@Excel(name = "第一笔", width = 15)
	private java.math.BigDecimal price1;
	/**第二笔*/
	@Excel(name = "第二笔", width = 15)
	private java.math.BigDecimal price2;
	/**第三笔*/
	@Excel(name = "第三笔", width = 15)
	private java.math.BigDecimal price3;
	/**第四笔*/
	@Excel(name = "第四笔", width = 15)
	private java.math.BigDecimal price4;
	/**第五笔*/
	@Excel(name = "第五笔", width = 15)
	private java.math.BigDecimal price5;
	/**对应里程碑1*/
	@Excel(name = "对应里程碑1", width = 15)
	private java.lang.String milestone1;
	/**里程碑id1*/
	@Excel(name = "里程碑id1", width = 15)
	private java.lang.String mileId1;
	/**描述1*/
	@Excel(name = "描述1", width = 15)
	private java.lang.String desc1;
	/**对应里程碑2*/
	@Excel(name = "对应里程碑2", width = 15)
	private java.lang.String milestone2;
	/**里程碑id2*/
	@Excel(name = "里程碑id2", width = 15)
	private java.lang.String mileId2;
	/**描述2*/
	@Excel(name = "描述2", width = 15)
	private java.lang.String desc2;
	/**对应里程碑3*/
	@Excel(name = "对应里程碑3", width = 15)
	private java.lang.String milestone3;
	/**里程碑id3*/
	@Excel(name = "里程碑id3", width = 15)
	private java.lang.String mileId3;
	/**描述3*/
	@Excel(name = "描述3", width = 15)
	private java.lang.String desc3;
	/**对应里程碑4*/
	@Excel(name = "对应里程碑4", width = 15)
	private java.lang.String milestone4;
	/**里程碑id4*/
	@Excel(name = "里程碑id4", width = 15)
	private java.lang.String mileId4;
	/**描述4*/
	@Excel(name = "描述4", width = 15)
	private java.lang.String desc4;
	/**对应里程碑5*/
	@Excel(name = "对应里程碑5", width = 15)
	private java.lang.String milestone5;
	/**里程碑id5*/
	@Excel(name = "里程碑id5", width = 15)
	private java.lang.String mileId5;
	/**描述5*/
	@Excel(name = "描述5", width = 15)
	private java.lang.String desc5;
	/**备注*/
	@Excel(name = "备注", width = 15)
	private java.lang.Object memo;
	/**创建时间*/
	@Excel(name = "创建时间", width = 20, format = "yyyy-MM-dd HH:mm:ss")
	@JsonFormat(timezone = "GMT+8",pattern = "yyyy-MM-dd HH:mm:ss")
	@DateTimeFormat(pattern="yyyy-MM-dd HH:mm:ss")
	private java.util.Date createTime;
	/**创建人*/
	@Excel(name = "创建人", width = 15)
	private java.lang.String createBy;
	/**修改时间*/
	@Excel(name = "修改时间", width = 20, format = "yyyy-MM-dd HH:mm:ss")
	@JsonFormat(timezone = "GMT+8",pattern = "yyyy-MM-dd HH:mm:ss")
	@DateTimeFormat(pattern="yyyy-MM-dd HH:mm:ss")
	private java.util.Date updateTime;
	/**修改人*/
	@Excel(name = "修改人", width = 15)
	private java.lang.String updateBy;
	/**删除状态（0，正常，1已删除）*/
	@Excel(name = "删除状态（0，正常，1已删除）", width = 15)
	private java.lang.String delFlag;
	/**组织*/
	@Excel(name = "组织", width = 15)
	private java.lang.String pkOrg;
	/**序号*/
	@Excel(name = "序号", width = 15)
	private java.lang.Integer sort;
}
