package org.jeecg.modules.contract.file.entity;

import java.io.Serializable;
import java.util.Date;
import java.util.List;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Data;
import com.fasterxml.jackson.annotation.JsonFormat;
import org.springframework.format.annotation.DateTimeFormat;
import org.jeecgframework.poi.excel.annotation.Excel;

/**
 * @Description: 合同产品
 * @author： jeecg-boot
 * @date：   2021-11-17
 * @version： V1.0
 */
@Data
@TableName("contract_file_product")
public class ContractFileProduct implements Serializable {
    private static final long serialVersionUID = 1L;

	/**主键*/
	@TableId(type = IdType.UUID)
	private java.lang.String id;
	/**产品编码*/
	@Excel(name = "产品编码", width = 15)
	private java.lang.String code;
	/**产品名称*/
	@Excel(name = "产品名称", width = 15)
	private java.lang.String name;
	/**物料档案产品id*/
	@Excel(name = "物料档案产品id", width = 15)
	private java.lang.String baseMaterialFileProductId;
	/**标准报价*/
	@Excel(name = "标准报价", width = 15)
	private java.math.BigDecimal standardQuotation;
	/**折扣后单价*/
	@Excel(name = "折扣后单价", width = 15)
	private java.math.BigDecimal unitPriceAfterDiscount;
	/**标准金额*/
	@Excel(name = "标准金额", width = 15)
	private java.math.BigDecimal standardAmount;
	/**折扣后金额*/
	@Excel(name = "折扣后金额", width = 15)
	private java.math.BigDecimal amountAfterDiscount;
	/**成本单价*/
	@Excel(name = "成本单价", width = 15)
	private java.math.BigDecimal costUnitPrice;
	/**成本金额*/
	@Excel(name = "成本金额", width = 15)
	private java.math.BigDecimal costAmount;
	/**备注*/
	@Excel(name = "备注", width = 15)
	private java.lang.Object memo;
	/**删除状态（0，正常，1已删除）*/
	@Excel(name = "删除状态（0，正常，1已删除）", width = 15)
	private java.lang.String delFlag;
	/**创建时间*/
	@Excel(name = "创建时间", width = 20, format = "yyyy-MM-dd HH:mm:ss")
	@JsonFormat(timezone = "GMT+8",pattern = "yyyy-MM-dd HH:mm:ss")
	@DateTimeFormat(pattern="yyyy-MM-dd HH:mm:ss")
	private java.util.Date createTime;
	/**创建人*/
	@Excel(name = "创建人", width = 15)
	private java.lang.String createBy;
	/**修改时间*/
	@Excel(name = "修改时间", width = 20, format = "yyyy-MM-dd HH:mm:ss")
	@JsonFormat(timezone = "GMT+8",pattern = "yyyy-MM-dd HH:mm:ss")
	@DateTimeFormat(pattern="yyyy-MM-dd HH:mm:ss")
	private java.util.Date updateTime;
	/**修改人*/
	@Excel(name = "修改人", width = 15)
	private java.lang.String updateBy;
	/**组织*/
	@Excel(name = "组织", width = 15)
	private java.lang.String pkOrg;
	/**排序*/
	@Excel(name = "排序", width = 15)
	private java.lang.Integer sort;
	/**主表id*/
	@Excel(name = "主表id", width = 15)
	private java.lang.String contractFileId;
	/**折扣率*/
	private java.math.BigDecimal discountRate;
	/**合同产品模块子表*/
	@TableField(exist = false)
	private List<ContractFileModular> contractFileModularList;
}
