package org.jeecg.modules.contract.file.service;

import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import org.jeecg.modules.contract.file.entity.ContractFile;
import com.baomidou.mybatisplus.extension.service.IService;

/**
 * @Description: 合同档案
 * @author： jeecg-boot
 * @date：   2021-11-17
 * @version： V1.0
 */
public interface IContractFileService extends IService<ContractFile> {

    /**
     * @Author chenchuang
     * @Description //TODO 合同分页查询
     * @Date 2021/11/25 11:57
     * @Param [page, queryWrapper]
     * @return com.baomidou.mybatisplus.core.metadata.IPage<org.jeecg.modules.contract.file.entity.ContractFile>
     */
    IPage<ContractFile> getPageList(IPage<ContractFile> page,QueryWrapper<ContractFile> queryWrapper);

    /**
    * @Author chenchuang
    * @Description //TODO 主表和子表一起新增
    * @Date 2021/11/17 16:21
    * @Param [contractFile]
    * @return void
    */
    void saveMainAndChild(ContractFile contractFile);

    /**
    * @Author chenchuang
    * @Description //TODO 主表和子表数据一起修改
    * @Date 2021/11/17 16:41
    * @Param [contractFile]
    * @return void
    */
    void updateMainAndChild(ContractFile contractFile);

    /**
    * @Author chenchuang
    * @Description //TODO 主表和子表一起删除
    * @Date 2021/11/17 17:23
    * @Param [contractFile]
    * @return void
    */
    void deleteMainAndChild(ContractFile contractFile);

    /**
    * @Author chenchuang
    * @Description //TODO 根据主表查询对应的所有子表数据
    * @Date 2021/11/17 17:35
    * @Param [contractFile]
    * @return void
    */
    void queryMainAndChildById(ContractFile contractFile);

    /**
     * @Author chenchuang
     * @Description //TODO 根据id查询合同数据
     * @Date 2021/11/30 11:20
     * @Param [id]
     * @return org.jeecg.modules.contract.file.entity.ContractFile
     */
    ContractFile getContractFileById(String id);
}
