package org.jeecg.modules.payment.mapper;

import java.util.List;

import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import org.apache.ibatis.annotations.Param;
import org.jeecg.common.dto.archives.ExpensePriceReqDTO;
import org.jeecg.common.dto.payment.FinanceListReqDTO;
import org.jeecg.common.dto.payment.FinanceListRespDTO;
import org.jeecg.common.dto.payment.SlipAllListDTO;
import org.jeecg.common.dto.payment.SlipPriceReqDTO;
import org.jeecg.common.dto.payment.SlipPriceRespDTO;
import org.jeecg.modules.payment.entity.ManagePaymentAndReceiptContent;
import org.jeecg.modules.payment.entity.ManagerPaymentAndReceiptSlip;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;

/**
 * @Description: 收付款管理--收款单
 * @author： jeecg-boot
 * @date：   2021-03-03
 * @version： V1.0
 */
public interface ManagerPaymentAndReceiptSlipMapper extends BaseMapper<ManagerPaymentAndReceiptSlip> {

    List<ManagePaymentAndReceiptContent> getExpensePrice(ExpensePriceReqDTO reqDTO);
    /**
     * @desc 主子表列表数据
     */
    List<SlipAllListDTO> getAll(@Param("ew") QueryWrapper<ManagerPaymentAndReceiptSlip> queryWrapper);

    List<SlipPriceRespDTO> getSlipPrice(SlipPriceReqDTO reqDTO);

    /**
     * @desc 财务收款确认列表
     */
    IPage<FinanceListRespDTO> getFinanceList(Page<ManagerPaymentAndReceiptSlip> page, @Param("reqDTO") FinanceListReqDTO reqDTO);
}
